version: "3.5"

services:
  nopaque:
    ports:
      - "5000:5000"
    volumes:
      # Mount code as volumes
      - "./web/app:/home/nopaque/app"
      - "./web/boot.sh:/home/nopaque/boot.sh"
      - "./web/config.py:/home/nopaque/config.py"
      - "./web/migrations:/home/nopaque/migrations"
      - "./web/nopaque.py:/home/nopaque/nopaque.py"
      - "./web/requirements.txt:/home/nopaque/requirements.txt"
      - "./web/tests:/home/nopaque/tests"
